Subject: Re: linux-next: manual merge of the staging tree with the tty tree

From: Greg KH <[email-masked]>
Date: Wed, 28 Nov 2012 21:17:00 -0800

On Thu, Nov 29, 2012 at 03:47:39PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next merge of the staging tree got a conflicts in
> drivers/staging/fwserial/fwserial.c, drivers/staging/Kconfig and
> drivers/staging/Kconfig between commit 7355ba3445f2 ("staging: fwserial:
> Add TTY-over-Firewire serial driver") from the tty tree and commit
> e5711071ad94 ("staging: fwserial: Add TTY-over-Firewire serial driver")
> from the staging tree.
> 
> I am not sure why this patch exists in both trees :-(

I needed to do that to handle the tty driver changes that were required
for it due to the tty layer changes.

> I fixed it up (they are the same but the trees contain more commits
> affecting these files) and can carry the fix as necessary (no action is
> required).

The tty tree will end up having the "correct" one here, thanks for
resolving this in your tree.

greg k-h